API Referenceapipatient-graphGET /v1/patients/me/journal

GET /v1/patients/me/journal

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • from (string) required
  • to (string) required

Responses

200 Journal entries for the authenticated patient

{
  "type": "object",
  "properties": {
    "entries": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "entry_date": {
            "type": "string",
            "format": "date"
          },
          "mood": {
            "type": "integer",
            "minimum": 1,
            "maximum": 5
          },
          "energy": {
            "type": "integer",
            "minimum": 1,
            "maximum": 5
          },
          "notes": {
            "type": "string"
          },
          "side_effects": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "entry_date",
          "mood",
          "energy",
          "notes",
          "side_effects",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "entries"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/me/journal \
  -H "Authorization: Bearer $ACCESS_TOKEN"